/**
 * Utilidades del subdialogo de responsables
 */
var mysortname="dusu15";
var mysortorder="asc";

$("#servResponsable93").click(function(){
	$("#cserv15_filter_table").val(93);
	$("#dialogoEsperaDetalleResponsables").show();
 	$("#ListadoResponsablesExpedientesDetalle").rup_table("filter");
	$("#dialogoEsperaDetalleResponsables").hide();
	$("#ListadoResponsablesExpedientesDetalle_div").show();

});

$("#servResponsable92").click(function(){
	$("#cserv15_filter_table").val(92);
	$("#dialogoEsperaDetalleResponsables").show();
 	$("#ListadoResponsablesExpedientesDetalle").rup_table("filter");
	$("#dialogoEsperaDetalleResponsables").hide();
	$("#ListadoResponsablesExpedientesDetalle_div").show();

});

$("#btnBuscarResp").click(function(){
	$("#dusu15_filter_table").val($("#nombreResp").val());
	$("#dialogoEsperaDetalleResponsables").show();
 	$("#ListadoResponsablesExpedientesDetalle").rup_table("filter");
	$("#dialogoEsperaDetalleResponsables").hide();
	$("#ListadoResponsablesExpedientesDetalle_div").show();
});

var dialogoResponsables={
	inicializado:false,
	expeId:null,
	expeCod:null,
	/**
	 * Oculta los elementos visibles
	 */
	ocultarElementos:function(){
			$("#dialogoEsperaDetalleResponsables").hide();
	},
	/**
	 * Inicializa el componente (si no esta inicializado)y lo abre 
	 */
	
	
	inicializar:function(){

		$("#cserv15_filter_table").val("");
		$("#dusu15_filter_table").val("");
		$("#nombreResp").val("");
		
		$("#servResponsable92").prop("checked",false);
		$("#servResponsable93").prop("checked",false);
		
		if(!this.inicializado){
			this.inicializado=true;
			$("#ListadoResponsablesExpedientesDetalle_filter_toolbar").hide();
			$("#ListadoResponsablesExpedientesDetalle").rup_table({
				rowNum:20,
				url: "../aa21b15s01/filterResponsablesServicio",
				colNames: [
				    $.rup.i18n.app.aa21b15s01.cusu15,
				    $.rup.i18n.app.aa21b15s01.dusu15,
				    $.rup.i18n.app.aa21b15s01.situ15
				],
				colModel: [
				    { 	name: "cusu15", 
		 				label: "cusu15",
						hidden: true 
					},
					{ 	name: "dusu15", 
					 	label: "dusu15"
					},
					{ 	name: "situ15", 
					 	label: "situ15",
						align: "left", 
						width: 150, 
						editable: true, 
						fixed: false, 
						hidden: true, 
						resizable: true, 
						sortable: true
					}
		        ],
		
		        model:"Aa21b15s01",
		        usePlugins:[
					"formEdit",
		        	"feedback",
					"toolbar",
		        	"contextMenu",
		        	"fluid",
		        	"filter",
		        	//"search"
		         	],
				primaryKey: "cusu15",
				sortname: mysortname,
				sortorder: mysortorder,
				loadOnStartUp: false,
				toolbar:{
					defaultButtons:[{}],
					newButtons:[{
						id:"seleccionarResponsable",
						obj: {i18nCaption:$.rup.i18n.app.botonerasMantGenerales.aniadir, css: "rup-icon aniadir"},
						click: handlerSeleccionarResponsable
					}]
				},
		        formEdit:{
		        	detailForm: "#ListadoResponsablesExpedientesDetalle_detail_div",
					fillDataMethod: "clientSide"
		        }
			});
			//$("#ListadoResponsablesExpedientesDetalle_toolbar").hide();

			$("#ListadoResponsablesExpedientesDetalle").on("rupTable_beforeAddRow", function(deleteOptions,selectedRow){
				return false;
			});
			
			$("#ListadoResponsablesExpedientesDetalle").on("rupTable_beforeEditRow", function(deleteOptions,selectedRow){
				return false;
			});
			
			jQuery("#ListadoResponsablesExpedientesDetalle").on("jqGridDblClickRow", function(event, form, oper) {
				return false;
			});
			
			
			jQuery("#dialogoDocumentosExpediente").on("dialogclose", function() {
				$("#ListadoResponsablesExpedientesDetalle_div").hide();
				$("#dialogoEsperaDetalleResponsables").show();
			});
			
			$("#dialogoRespExpediente").rup_dialog({
				type:$.rup.dialog.DIV,
				modal:true,
				height:625,
				width:935,	
				resizable:false,
				title:$.rup.i18n.app.aa21b20s01.consultaRespExpedienteTit,
				autoOpen:false,
				showLoading:true,
				async:false,
				open:dialogoResponsables.cargarDatos
			});
		}
	
	},
	/**
	 * Hace un filter del rup_table, para que se carguen los datos. Se llama en el evento de apertura del diálogo
	 */
	 cargarDatos:function(){
		 	$("#ui-dialog-title-dialogoRespExpediente").html($.rup.i18n.app.aa21b20s01.consultaRespExpedienteTit );
		 	$("#ListadoResponsablesExpedientesDetalle").rup_table("filter");
			$("#dialogoEsperaDetalleResponsables").hide();
			$("#ListadoResponsablesExpedientesDetalle_div").show();
	},
	/**
	 * Abre el dialogo, para el expediente con id=expediente y referencia=codigo
	 * rellena el formulario de búsqueda
	 * e inicializa el componente
	 * @param expediente
	 * @param codigo
	 */
	abrirDialogo:function() {
		dialogoResponsables.inicializar();
		$("#dialogoRespExpediente").rup_dialog("open");
	}

};

function handlerSeleccionarResponsable(){
	var posLinea = $("#ListadoResponsablesExpedientesDetalle").rup_table("getSelectedLines");
	var codUsu = $("#ListadoResponsablesExpedientesDetalle").rup_table("getRowData")[posLinea].cusu15;
	
	$("#crespo20_detail_table").rup_combo("select", codUsu);
	$("#crespo20Hidden").val(codUsu);	
	$("#dialogoRespExpediente").rup_dialog("close");
	//$("#dialogoRespExpediente").rup_dialog("destroy");
	
}

function limpiarBusqResp(){
	$("#nombreResp").val("");
	$("#cserv15_filter_table").val("");
	$("#dusu15_filter_table").val("");
	
	$("#servResponsable92").prop("checked",false);
	$("#servResponsable93").prop("checked",false);
	
	$("#dialogoEsperaDetalleResponsables").show();
 	$("#ListadoResponsablesExpedientesDetalle").rup_table("filter");
	$("#dialogoEsperaDetalleResponsables").hide();
	$("#ListadoResponsablesExpedientesDetalle_div").show();
}

